#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,72,96,120,240,480,960,1416,1536,1656,1896
 * N : 25,72,96,120,240,480,960,1416,1536,1656,1896
 * NB : 9,9,36,32,24,24,24,24,48,120,120
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 9; \
   else if ((n_) < 108) (nb_) = 36; \
   else if ((n_) < 180) (nb_) = 32; \
   else if ((n_) < 1476) (nb_) = 24; \
   else if ((n_) < 1596) (nb_) = 48; \
   else (nb_) = 120; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
